Summary:        Terminfo parsing library
Name:           unibilium
Version:        2.1.1
Release:        4%{?dist}
License:        LGPLv3+
URL:            https://github.com/neovim/unibilium
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc make libtool
BuildRequires:  %{_bindir}/pod2man %{_bindir}/prove

%description
Unibilium is a very basic terminfo library. It doesn't depend on curses or any other library.
It also doesn't use global variables, so it should be thread-safe.

%package devel
Summary:        Development files needed for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
Terminfo parsing library

%prep
%autosetup -p1
echo '#!/bin/sh' > ./configure
chmod +x ./configure

%build
%configure
%make_build PREFIX=%{_prefix} LIBDIR=%{_libdir}

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir}
rm -vf %{buildroot}%{_libdir}/*.{a,la}

%check
%make_build test

%files
%license LGPLv3
%doc Changes
%{_libdir}/lib%{name}.so.*

%files devel
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}.h
%{_mandir}/man3/unibi_*.3*
%{_mandir}/man3/%{name}.h.3*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.1-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jan 13 2023 Shuo Wang <abushwang@tencent.com> - 2.1.1-1
- initial build

